package app

import (
	"github.com/gin-gonic/gin"
	v1 "miniapp/api/v1"
	"miniapp/middleware"
)

type VisionRouter struct{}

func (s *VisionRouter) InitVisionRouter(Router *gin.RouterGroup) {
	userRouter := Router.Group("vision").Use(middleware.AuthorizeToken())
	//publicRouter := Router.Group("user")
	baseApi := v1.ApiGroupApp.AppApiGroup.VisionApi
	{
		userRouter.GET("list", baseApi.GetList)
		userRouter.POST("", baseApi.Create)

	}

}
